### Method

# Clutter Event get_key_state

#### Declaration [src]

    void
    clutter_event_get_key_state (
      const ClutterEvent* event,
      ClutterModifierType* pressed,
      ClutterModifierType* latched,
      ClutterModifierType* locked
    )

#### Description [src]

Returns the modifier state decomposed into independent pressed/latched/locked states. The effective state is a composition of these 3 states, see `clutter_event_get_state()`.

#### Parameters

`pressed`

  Type: `ClutterModifierType`

  Return location for pressed modifiers.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`latched`

  Type: `ClutterModifierType`

  Return location for latched modifiers.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`locked`

  Type: `ClutterModifierType`

  Return location for locked modifiers.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.